// <#-- RemindStore Store -->
Ext.define('App.store.RemindStore', {
	extend: 'Ext.data.Store',

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/message/list.json'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
					idProperty: 'id'
				}
			},
			fields: [
				{
					name: 'id',
					type: 'int',
				},
				{
					name: 'created',
					type: 'float',
				},
				{
					name: 'content',
					type: 'string'
				},
				{
					name: 'readTime',
					type: 'float'
				},
				{
					name: 'orderId',
					type: 'int',
				},
			],
		},
		cfg)]);
	}
});
